@if (componentData && componentData.stackTracePanelIsVisible) {
  <div class="two-columns-grid">
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.system.settings.display-stack-trace.label'
          | translate
      "
    >
    </sqtm-core-label>
    <nz-switch
      [(ngModel)]="componentData.stackTraceFeatureIsEnabled"
      [nzControl]="true"
      [nzCheckedChildren]="checkedTemplate"
      [nzUnCheckedChildren]="unCheckedTemplate"
      [attr.data-test-field-id]="'stackTraceFeature'"
      (click)="changeStackTraceFeatureEnabled()"
    >
    </nz-switch>
    <ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
    <ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
  </div>
}
